Log a WABA error for diagnostics
POST
/v1/waba/errorsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsondetailsanyAdditional error details
error_codestringrequiredError code identifier
min length 1
messagestringrequiredError message
min length 1
meta_codeinteger<int32>Meta API error code
meta_messagestringMeta API error message
meta_subcodeinteger<int32>Meta API error subcode
operationstringOperation that failed
Responses
201Created
statusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/waba/errors" \
-H "Content-Type: application/json" \
-d '{
"details": "string",
"error_code": "string",
"message": "string",
"meta_code": 0,
"meta_message": "string",
"meta_subcode": 0,
"operation": "string"
}'const response = await fetch("/v1/waba/errors", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"details": "string",
"error_code": "string",
"message": "string",
"meta_code": 0,
"meta_message": "string",
"meta_subcode": 0,
"operation": "string"
})
});import requests
response = requests.post(
"/v1/waba/errors",
headers={
"Content-Type": "application/json"
},
json={
"details": "string",
"error_code": "string",
"message": "string",
"meta_code": 0,
"meta_message": "string",
"meta_subcode": 0,
"operation": "string"
},
)Response
{
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}